
Redmine - Defect #19163

Bulk edit form shows additional custom fields

2015-02-24 00:08 - Grischa Zengel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.0.2   

Resolution: Fixed Affected version:  

Description

I have a project with one tracker.

For this tracker are only 2 custom fields enabled.

The most custom fields are for all projects.

If I look in field permissions for all roles and this tracker I only see 2 custom fields.

If create a new issue and edit this issue I see only 2 custom fields.

In bulk edit I see 4 custom fields. I don't see a reason why exactly these 2 are there.

1. Field: class="bool_cf" id="issue_custom_field_values_6"

2. Field: class="string_cf" id="issue_custom_field_values_16"

3. Field: class="string_cf" id="issue_custom_field_values_31"

4. Field: class="string_cf" id="issue_custom_field_values_32"

1+2 are additional

3+4 are in this tracker

Associated revisions

Revision 14151 - 2015-03-21 10:26 - Jean-Philippe Lang

Fixed that the bulk edit form shows additional custom fields (#19163).

Revision 14152 - 2015-03-21 10:27 - Jean-Philippe Lang

Fixed that the bulk edit form shows additional custom fields (#19163).

Revision 14153 - 2015-03-21 11:05 - Jean-Philippe Lang

Fixed test failures (#19163).

Revision 14203 - 2015-04-25 09:32 - Jean-Philippe Lang

Merges r14151 to r14153 (#19163).

History

#1 - 2015-02-24 01:07 - Grischa Zengel

As Administrator I can see all global custom fields. The standard fields are filtered as chosen in the tracker.

#2 - 2015-03-20 04:44 - Toshi MARUYAMA

- Target version set to 3.1.0

#3 - 2015-03-21 10:27 - Jean-Philippe Lang

- Subject changed from bulk edit shows additional custom fields to Bulk edit form shows additional custom fields

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.1.0 to 3.0.2

- Resolution set to Fixed

2025-05-06 1/2



#4 - 2015-04-25 09:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2015-04-25 09:41 - Toshi MARUYAMA

- Related to Defect #19693: Context menu is unaware of the field permissions added

#6 - 2015-04-25 09:44 - Toshi MARUYAMA

- Related to deleted (Defect #19693: Context menu is unaware of the field permissions)
